Gocator API

- Home
- Types
- Files

All Classes Files Functions Variables Typedefs Macros Modules Pages
Public Member Functions
GoTools Class Reference
GoSdk/Tools

## Description

Represents a collection of tools.

Inheritance diagram for GoTools:

## Public Member Functions
const GoMeasurementOption * | GoToolOption_MeasurementOptionAt (GoToolOption option, kSize index)
| Retrieves the measurement option at the given index of the tool option. More...
kSize | GoToolOption_MeasurementOptionCount (GoToolOption option)
| Returns the number of measurement options available for the given tool option. More...
const kChar * | GoToolOption_Name (GoToolOption option)
| Returns the name associated with the given tool option. More...
kStatus | GoTools_AddMeasurementByName (GoTools tools, GoTool tool, const kChar *type, const kChar *name, GoMeasurement *measurement)
| Adds a measurement to a tool via a string representing the type. More...
kStatus | GoTools_AddTool (GoTools tools, GoToolType type, GoTool *tool)
| Adds a tool and returns a handle to it. More...
kStatus | GoTools_AddToolByName (GoTools tools, const kChar *optionName, GoTool *tool)
| Adds a tool by name. More...
kStatus | GoTools_AssignMeasurementId (GoTools tools, GoMeasurement measurement)
| Automatically update a given measurement to use a valid ID within the set of tools contained in the GoTools object. More...
kStatus | GoTools_ClearTools (GoTools tools)
| Removes all tools in the given GoTools instance. More...
GoMeasurement | GoTools_FindMeasurementById (GoTools tools, k32u id)
| Returns an enabled measurement handle if the specified ID is valid. More...
kStatus | GoTools_RemoveTool (GoTools tools, kSize index)
| Removes a tool at the given index. More...
GoTool | GoTools_ToolAt (GoTools tools, kSize index)
| Returns a tool handle at the given index. More...
kSize | GoTools_ToolCount (GoTools tools)
| Returns the current number of tools. More...
GoToolOption | GoTools_ToolOptionAt (GoTools tools, kSize index)
| Retrieves the tool option at the given index. More...
kSize | GoTools_ToolOptionCount (GoTools tools)
| Returns the number of tool options available for the current configuration. More...

The documentation for this class was generated from the following file:

- Tools/GoTools.h